Subject: qt packages (e.g. pcmanfm-qt) missing wayland qt module
From: "bdju" <[email-masked]>
To: <[email-masked]>
Date: Sat, 13 Nov 2021 21:59:27 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I am running Guix System with Sway
guix (GNU Guix) 33a80e111096b05af3d60576dfcb2d67099dc60e

Running `QT_QPA_PLATFORM=wayland pcmanfm-qt` results in failure to
launch and the following errors:

```
21:50:38.413|qt.qpa.plugin|W|Could not find the Qt platform plugin "wayland" in ""
21:50:38.413|default|F|This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, xcb.

zsh: abort      QT_QPA_PLATFORM=wayland pcmanfm-qt
```

Due to this problem, I cannot set this env var for my whole profile or
many programs will break. This means they run with xwayland instead of
native wayland. I have run some of these same programs on another
distro (postmarketOS on a Pinebook Pro) and found they run in Sway.

I believe this is likely a packaging issue with qt stuff.